section.top-cover {
    background-color: var(--pink-bold-color);
    background-size: cover;
    background-repeat: no-repeat;
    overflow: hidden;
    position: fixed;
    width: 100%;
    height: 100%;
    height: var(--body-height);
    z-index: 999999;
    top: 0;
    left: 0;
    transition: all 1.8s;
    transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    -webkit-transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    -moz-transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    -o-transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    display: flex;
    flex-direction: column;
    display: flex;
}

/* @media only screen and (max-width:960px) {
    section.top-cover {
        display: flex
    }
} */

section.top-cover.hide {
    top: -120%;
    bottom: 120%;
    pointer-events: none
}

.top-cover .details .body-detail {
    text-align: center;
    position: absolute;
    width: 100%;
    height: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    z-index: 2;
}

.name-couple h1 {
    font-size: 6vw;
    margin: 0.5rem 0;
    font-family: Snell;
    color: var(--bg-color);
}

.divider {
    font-size: 1.5rem;
    margin: 0.5rem 0;
}

.invite-to {
    margin-top: 20px;
    color: var(--bg-color);
    font-family: Alegreya;
    padding: 0 20px;
    display: flex;
    gap: 14px;
    flex-direction: column;
}

.invite-to p {
    margin: 10px 0;
    font-size: 1rem;
}

.invite-to .name {
    font-size: 24px;
    font-weight: 700;
}

.top-cover .details img {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    object-fit: cover;
    color: red;
    background-color: blue;
    border-color: green;
    opacity: 1;
}

.invite-to .down .greetings-end p {
    font-size: 14px;
}

.top-cover .details .body-detail .invite-to .custom-button {
    display: inline-flex;
}

.top-cover .details .bg-opacity {
    position: absolute;
    width: 100%;
    height: 100vh;
    z-index: 1;
    background: linear-gradient(180deg, rgba(0, 0, 0, .4) 0%, rgba(0, 0, 0, 0.4) 100%);
}

@media (max-width: 562px) {
    .name-couple h1 {
        font-size: 12vw;
    }

    .divider {
        font-size: 1.2rem;
    }

    .invite-to p {
        font-size: 0.9rem;
    }

    .link.custom-button {
        padding: 8px 16px;
    }
}
